URI.DefaultCharsetChanged (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.URI.DefaultCharsetChanged class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class URI.DefaultCharsetChanged

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.httpclient.URI.DefaultCharsetChanged

All Implemented Interfaces:
  Serializable

Enclosing class:
  URI

    public static class URI.DefaultCharsetChanged

extends RuntimeException

The charset-changed normal operation to represent to be required to alert to user the fact the default charset is changed.

See Also:
  Serialized Form

Field Summary
`static int` | `DOCUMENT_CHARSET` Document charset changed.
`static int` | `PROTOCOL_CHARSET` Protocol charset changed.
`static int` | `UNKNOWN` No specified reason code.

Constructor Summary
`URI.DefaultCharsetChanged(int reasonCode, String reason)` The constructor with a reason string and its code arguments.

Method Summary
`String` | `getReason()` Get the reason message.
`int` | `getReasonCode()` Get the reason code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  No specified reason code.

  See Also:
    Constant Field Values

### PROTOCOL_CHARSET

    public static final int PROTOCOL_CHARSET

  Protocol charset changed.

  See Also:
    Constant Field Values

### DOCUMENT_CHARSET

    public static final int DOCUMENT_CHARSET

  Document charset changed.

  See Also:
    Constant Field Values

Constructor Detail

### URI.DefaultCharsetChanged

    public URI.DefaultCharsetChanged(int reasonCode,
                                     String reason)

  The constructor with a reason string and its code arguments.

  Parameters:
    `reasonCode` - the reason code
    `reason` - the reason

Method Detail

### getReasonCode

    public int getReasonCode()

  Get the reason code.

  Returns:
    the reason code

### getReason

    public String getReason()

  Get the reason message.

  Returns:
    the reason message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.